.\"	$NetBSD: cgfour.4,v 1.5 2001/09/11 22:52:57 wiz Exp $
.\"
.\" Copyright (c) 1996 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Paul Kranenburg.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd June 23, 1996
.Dt CGFOUR 4 sparc
.Os
.Sh NAME
.Nm cgfour
.Nd Sun 8-bit color frame buffer
.Sh SYNOPSIS
.Cd "cgfour0 at obio0 addr 0xfb300000 level 4" Pq sun4/300
.Cd "cgfour0 at obio0 addr 0x0b300000 level 4" Pq sun4/100
.Sh DESCRIPTION
The
.Nm
is a memory based color frame buffer with overlay plane.
Its pixel memory and control planes can be mapped into a user
process address space by using the
.Xr mmap 2
system call.
The
.Nm
driver supports the minimal ioctl's needed to run
.Xr X 1 .
.Sh SEE ALSO
.Xr bwtwo 4 ,
.Xr cgtwo 4 ,
.Xr cgthree 4 ,
.Xr cgsix 4 ,
.Xr cgeight 4 ,
.Xr tcx 4
